View Issue Details

IDProjectCategoryView StatusLast Update
0003349Composrgalleriespublic2019-07-20 01:36
ReporterChris GrahamAssigned ToSalman 
Severityfeature 
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0003349: Improved gallery layout modes
DescriptionRather than a checkbox, whether the mode is flow mode, have radio buttons...

1) Grid mode (previously, "Regular mode")
2) Carousel mode (previously, "Flow mode")
3) Mosaic mode (new mode, use "Masonry" JS lib)
TagsRoadmap: v11
Attach Tags
Time estimation (hours)6
Sponsorship open

Relationships

related to 0003562 assignedSalman Very simple gallery layout option 
child of 0003362 non-assigned Themeing improvements in v11 (idea staging issue) 

Activities

Salman

2019-06-30 06:18

administrator   ~0006012

Not sure why I didn't update this.This was already done in the 'v11_redesign' branch back in February. I think there was a duplicate issue with more details?

Chris Graham

2019-07-20 01:36

administrator   ~0006039

Salman's email about this from Feb (I prefer to have this on tracker, than in my inbox)...

"So I've been working on galleries, about done with it now. I made a quick video(s): Part 1 (https://www.youtube.com/watch?v=cyYxsau3neg) Part 2 (https://www.youtube.com/watch?v=GJcpmBaPwD4)

Overview of main stuff I did (other than making everything fully responsive):

Slideshow Mode:
Fully redesigned.
Touch friendly thumbnails carousel.
Show/Hide Captions button
Toggle Fullscreen button
Comments Tab (Ajax-loaded)
Settings Tab:
Slide delay
Slide transition effect (slide or fade atm)
Stretch small media
Background color (light or dark)
Tested with YouTube, Vimeo, MediaElement.js and JWPlayer.
Simple and robust 2-way events based communication with embedded media. Complete de-coupling, embedded media has no knowledge of a slideshow existing :) Could be useful in other areas.

Gallery Entry Page:
Minimalist redesign.
Show next and previous entry thumbnails.
Info bar instead of table
Mosaic Layout Mode
Brand new UI.
Uses Masonry.js for neat element positioning.
Nice details overlay showed on hover.
"Show Details" checkbox to toggle details overlay on touch devices.
Builds upon the same PHP code as grid mode.

Grid Layout Mode:
Touch friendly redesign, shows information out right instead of needing a mouse to hover as previous.
Shows just number of views on hover.
Added start slideshow button.

Carousel Layout Mode:
Renamed from flow mode.
Info bar instead of a table.
Dropped old carousel in favor of much more user and touch-friendly Glide.js carousel.

Root/Parent Gallery:
Redesigned sub galleries view to be prettier and display more information, added start slideshow buttons.
Clearly marked/separated sub-galleries and gallery entries with headings, previously it was confusing for the user.
Changed default layout mode for root to grid mode as it's better suited IMO.
"

Issue History

Date Modified Username Field Change
2017-11-05 17:27 Chris Graham New Issue
2017-11-25 19:46 Chris Graham Relationship added child of 0003362
2019-06-27 02:07 Chris Graham Relationship added related to 0003562
2019-06-27 17:50 Chris Graham Assigned To => Salman
2019-06-27 17:50 Chris Graham Status non-assigned => assigned
2019-06-27 17:50 Chris Graham Tag Attached: Roadmap: v11
2019-06-30 06:18 Salman Status assigned => resolved
2019-06-30 06:18 Salman Resolution open => fixed
2019-06-30 06:18 Salman Note Added: 0006012
2019-07-20 01:36 Chris Graham Note Added: 0006039